<template>
  <div>
    <!-- Search form -->
 <div class="search">

   <input class="form-control" type="text" placeholder="جست و جوی محصول" aria-label="Search" v-model="filterTextName" >
   <input class="form-control" type="number" placeholder="سقف قیمت" aria-label="Search" v-model="filterTextPrice" >

         <select  v-model="filterTextCategory">
             <option value="" > همه</option>
             <option value="clothing">پوشاک ورزشی</option>
             <option value="sportItems">لوازم ورزشی</option>
             <option value="books">کتاب آموزشی</option>

         </select>

 </div>


    <app-stock v-for="stock in filters " :stock="stock"></app-stock>


  </div>
</template>

<script>
  import Stock from './Stock.vue'


  export default {
      filters:{
      
      },
    data(){
      return{
          filterTextPrice:500,
          filterTextName:'',
          filterTextCategory:'',
          items:[]
      }
    },

    components: {
      appStock: Stock
    },
    computed:{
        // filterNames(){
        //     console.log('filterNames')
        //  return this.$store.getters.stocks.filter((element)=>{
        //         return  element.name.match(this.filterTextName)
        //     })
        //
        // },
        // FilterMaxPrice(){
        //     console.log('FilterMaxPrice')
        //     return this.$store.getters.stocks.filter((element)=>{
        //         return  element.price<=this.FilterTextPrice
        //     })
        //
        // },
        filters(){

            return this.$store.getters.stocks.filter((element)=>{
                if(!element.name.match(this.filterTextName))

                {
                    return false
                }if (element.price > this.filterTextPrice){
                    return false
                }

                if(this.filterTextCategory != '' && element.category != this.filterTextCategory){
                    return false
                }
                return true

            })


        },


      stocks(){
        return this.$store.getters.stocks;
      },

    },
      methods:{



      }
  }
</script>

<style scoped>
  .search{
display: flex;
    margin-bottom: 20px;

  }
  input{
      width: 30%;
      margin-left: 10px;
      margin-right: 20px;
      box-sizing: border-box;
  }
  select{
      border-radius: 5px;
  }

</style>